uk.gov.hmrc.ct.computations

# CP87Input

###
Related Docs: object CP87Input | package computations

#### case class CP87Input(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with ComputationValidatableBox[ComputationsBoxRetriever] with CtTypeConverters with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtTypeConverters, ComputationValidatableBox[ComputationsBoxRetriever], ValidatableBox[ComputationsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP87Input
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtTypeConverters
7. ComputationValidatableBox
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalInteger
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP87Input(value: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def asInt: Option[Int]

   Definition Classes
     CtOptionalInteger

9. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

10. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

11. #### def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

12. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

13. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

16. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

17. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

18. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

19. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

20. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

21. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

22. #### def environmentFriendlyExpenditureCannotExceedRelevantFYAExpenditure(retriever: ComputationsBoxRetriever, value: CP252)(): Set[CtValidation]

    Definition Classes
      ComputationValidatableBox

23. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

25. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

26. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

27. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

30. #### def id: String

    Definition Classes
      CtBoxIdentifier

31. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

34. #### def mandatoryIfCompanyIsTrading(retriever: ComputationsBoxRetriever, boxId: String, value: Option[Int])(): Set[CtValidation]

    Definition Classes
      ComputationValidatableBox

35. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

36. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

37. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

38. #### val name: String

    Definition Classes
      CtBoxIdentifier

39. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

40. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

41. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

42. #### final def notify(): Unit

    Definition Classes
      AnyRef

43. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

44. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

45. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

46. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

47. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

48. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

49. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

50. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

51. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

52. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

53. #### def validate(boxRetriever: ComputationsBoxRetriever): Set[CtValidation]

    Definition Classes
      CP87Input → ValidatableBox

54. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

55. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

56. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

58. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

60. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

61. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

64. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

66. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

67. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

71. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

72. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

73. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

76. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

77. #### def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

78. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

79. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

81. #### def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

82. #### def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

84. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

85. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

86. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

87. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

    Definition Classes
      ExtraValidation

88. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

89. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

90. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

91. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

92. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

95. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

96. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

98. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

99. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

100. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

101. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

102. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

103. #### val value: Option[Int]

     Definition Classes
       CP87Input → CtValue

104. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

105. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

106. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtTypeConverters

### Inherited from ComputationValidatableBox[ComputationsBoxRetriever]

### Inherited from ValidatableBox[ComputationsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped